Bug 1284984 - Could not find data item CONFIG_USE_SUBNETS in any Hiera data
Could not find data item CONFIG_USE_SUBNETS in any Hiera data
Status: CLOSED NOTABUG
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
Liberty
x86_64 Linux
unspecified Severity high
: ---
: Kilo
Assigned To: Martin Magr
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 10:42 EST by lejeczek
Modified: 2016-04-18 02:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-25 10:14:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lejeczek 2015-11-24 10:42:33 EST
Description of problem:

on a plain vanilla SL7.1 box I hit this:

ERROR : Error appeared during Puppet run: 192.168.10.19_prescript.pp
Error: Could not find data item CONFIG_USE_SUBNETS in any Hiera data file and no default supplied at /var/tmp/packstack/37423ba0aac8497c8116227c28910264/manifests/192.168.10.19_prescript.pp:2 on node work1.ccnr.btch.ceb.private.cam.ac.uk
You will find full trace in log /var/tmp/packstack/20151124-145900-d2admn/manifests/192.168.10.19_prescript.pp.log
Please check log file /var/tmp/packstack/20151124-145900-d2admn/openstack-setup.log for more information

these are rpm deps installed:

PyYAML.x86_64 0:3.10-11.el7 
libwebp.x86_64 0:0.3.0-3.el7                                       
libyaml.x86_64 0:0.1.4-11.el7_0                                    
openstack-packstack-puppet.noarch 0:2015.2-0.1.dev1654.gcbbf46e.el7
openstack-puppet-modules.noarch 1:7.0.0-1.el7                      
pyOpenSSL.noarch 0:0.15.1-1.el7                                    
python-cffi.x86_64 0:1.1.2-3.el7                                   
python-cryptography.x86_64 0:1.0-1.el7                             
python-docutils.noarch 0:0.11-0.2.20130715svn7687.el7              
python-enum34.noarch 0:1.0-4.el7                                   
python-idna.noarch 0:2.0-1.el7                                     
python-ipaddress.noarch 0:1.0.7-4.el7                              
python-netaddr.noarch 0:0.7.18-1.el7                               
python-pillow.x86_64 0:2.0.0-17.gitd1c6db8.el7                     
python-ply.noarch 0:3.4-4.el7                                      
python-pyasn1.noarch 0:0.1.6-2.el7                                 
python-pycparser.noarch 0:2.10-1.el7                               
ruby.x86_64 0:2.0.0.598-25.el7_1                                   
ruby-irb.noarch 0:2.0.0.598-25.el7_1                               
ruby-libs.x86_64 0:2.0.0.598-25.el7_1                              
rubygem-bigdecimal.x86_64 0:1.2.0-25.el7_1                         
rubygem-io-console.x86_64 0:0.4.2-25.el7_1                         
rubygem-json.x86_64 0:1.7.7-25.el7_1                               
rubygem-psych.x86_64 0:2.0.0-25.el7_1                              
rubygem-rdoc.noarch 0:4.0.0-25.el7_1                               
rubygems.noarch 0:2.0.14-25.el7_1 
python-six.noarch 0:1.9.0-1.el7_1

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.